Bug 139202 - system-security-level applet crash
system-security-level applet crash
Status: CLOSED DUPLICATE of bug 139155
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
3
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-13 17:48 EST by P Jones
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:07:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
system-config-securitylevel patch (636 bytes, patch)
2004-11-13 21:30 EST, Glen
no flags Details | Diff

  None (edit)
Description P Jones 2004-11-13 17:48:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
On a fresh and updated install of FC3, the system-config-securitylevel
applet crashes with this as its output in a terminal:

Traceback (most recent call last):
  File
"/usr/share/system-config-securitylevel/system-config-securitylevel.py",line
18, in ?
    app.stand_alone()
  File "/usr/share/system-config-securitylevel/securitylevel.py", line
427, in stand_alone
    self.selinuxPage = selinuxPage.selinuxPage()
  File "/usr/share/system-config-securitylevel/selinuxPage.py", line
329, in __init__
    self.refreshTunables(self.initialtype)
  File "/usr/share/system-config-securitylevel/selinuxPage.py", line
427, in refreshTunables
    self.loadBooleans()
  File "/usr/share/system-config-securitylevel/selinuxPage.py", line
418, in loadBooleans
    on=rec[3]=="1"
IndexError: list index out of range


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. To see the error, run from a root terminal
2.
3.
    

Additional info:
Comment 1 P Jones 2004-11-13 18:00:41 EST
Sorry, should have been more specific; system-config-securitylevel
crashes when run from the menu or when run from a terminal in KDE (not
sure about GNOME or XFCE). system-config-securitylevel-tui works fine.
Comment 2 Glen 2004-11-13 21:22:06 EST
Looks like an update to libselinux's getsebool utility broke this.

To fix it change line 418 in
/usr/share/system-config-securitylevel/selinuxPage.py from this:
on=rec[3]=="1"
to this:
on=rec[2]=="active"

I'll also attached a patch for the system-config-securitylevel package.
Comment 3 Glen 2004-11-13 21:30:08 EST
Created attachment 106656 [details]
system-config-securitylevel patch

Changes the system-config-securitylevel package to accomodate a change to
libselinux's getsebool utility.
Comment 4 Glen 2004-11-13 21:36:02 EST
Good thing I forgot to check for duplicates.  This is a duplicate of
bug 139155.
Comment 5 Paul Nasrat 2004-11-15 08:53:51 EST

*** This bug has been marked as a duplicate of 139155 ***
Comment 6 Red Hat Bugzilla 2006-02-21 14:07:00 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.